/* GNOME LibGLADE Panel Test Applet
 * Copyright (C) 1999 Kevin Fox
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include <gtk/gtk.h>
#include <orb/orbit.h>
#include "gnome-panel.h"
#include <glade/glade.h>

int main(int argc, char *argv[]){
  GtkWidget *plug;
  GtkWidget *main;
  CORBA_ORB orb;
  CORBA_long address;
  CORBA_Environment ev;
  GNOME_panel panel_server;
  GladeXML *xml;
  CORBA_exception_init(&ev);
  orb = gnome_CORBA_init ("applet2", "0.0.1", &argc, argv, 0, &ev);
  glade_gnome_init();
  panel_server = CORBA_ORB_string_to_object(orb, argv[1], &ev);
  address=GNOME_panel_new_spot(panel_server,&ev);

  g_print("%x\n", address);

  plug=gtk_plug_new(address);

  xml = glade_xml_new("libglade-test-applet.glade", "main");
  glade_xml_signal_autoconnect(xml);
  main = glade_xml_get_widget(xml, "main");

  gtk_container_add(GTK_CONTAINER(plug), main);
  gtk_widget_show(main);
  gtk_widget_show(plug);

  gtk_main();
}