/* Window Panel
 * Copyright (C) 1999 Kevin Fox
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include <gtk/gtk.h>
#include <gnome.h>
#include <orb/orbit.h>
#include "gnome-panel-widget.h"

gint Delete(GtkWidget *widget, gpointer *data){
  gtk_main_quit();
  return(FALSE);
}

int main(int argc, char *argv[]){
  GtkWidget *window, *dock;
  CORBA_Environment ev;
  CORBA_ORB orb;
  CORBA_exception_init(&ev);
  orb=gnome_CORBA_init ("panel2", "0.0.1", &argc, argv, 0, &ev);
  dock=gnome_panel_widget_new();

  window=gtk_window_new(GTK_WINDOW_TOPLEVEL);

  gtk_object_set_data (GTK_OBJECT (window), "dock", dock);
  gtk_widget_show (dock);
  gtk_container_add (GTK_CONTAINER (window), dock);
  gtk_widget_show(window);

  gtk_signal_connect(GTK_OBJECT(window), "destroy", GTK_SIGNAL_FUNC(Delete), NULL);

  gtk_main();
}